All Vulnerability Reports

USN-4038-1: bzip2 vulnerabilities


Severity

Medium

Vendor

Canonical Ubuntu

Versions Affected
  • Canonical Ubuntu 16.04
  • Canonical Ubuntu 18.04
Description

Aladdin Mubaied discovered that bzip2 incorrectly handled certain files. An attacker could possibly use this issue to cause a denial of service. This issue only affected Ubuntu 16.04 LTS. (CVE-2016-3189)

It was discovered that bzip2 incorrectly handled certain files. An attacker could possibly use this issue to execute arbitrary code. (CVE-2019-12900)

CVEs contained in this USN include: CVE-2016-3189, CVE-2019-12900

Affected Pivotal Products and Versions

Severity is medium unless otherwise noted.

Vulnerable Cloud Foundry components individually listed here. Impacted stemcells may be updated independently of upgrading Pivotal Application Service, Pivotal Container Service, or PCF Isolation Segment.

  • Pivotal Application Service
    • 2.6.x versions prior to 2.6.3
    • 2.5.x versions prior to 2.5.8
    • 2.4.x versions prior to 2.4.12
    • 2.3.x versions prior to 2.3.15
  • PCF Isolation Segment
    • 2.6.x versions prior to 2.6.2
    • 2.5.x versions prior to 2.5.7
    • 2.4.x versions prior to 2.4.11
    • 2.3.x versions prior to 2.3.15
  • Pivotal Operations Manager
    • 2.6.x versions prior to 2.6.2
    • 2.5.x versions prior to 2.5.9
    • 2.4.x versions prior to 2.4.16
    • 2.3.x versions prior to 2.3.22
  • PCF Container Service
    • 1.3.x versions prior to 1.3.8
    • 1.4.x versions prior to 1.4.3
  • Pivotal Greenplum for Kubernetes
    • All versions prior to 1.4.0
  • Platform Automation for PCF
    • All versions prior to 3.0.4
Mitigation

Users of affected products are strongly encouraged to follow one of the mitigations below. The Cloud Foundry security team recommends upgrading BOSH to the affected OSS components listed here if applicable. Upgrade Pivotal products that use earlier versions of CF components to new Pivotal releases using new versions linked above. On the Pivotal Network product page for each release, check the Depends On section and/or Release Notes for this information. Releases that have fixed this issue include:

  • Pivotal Application Service
    • 2.6.3
    • 2.5.8
    • 2.4.12
    • 2.3.15
  • PCF Isolation Segment
    • 2.6.2
    • 2.5.7
    • 2.4.11
    • 2.3.15
  • Pivotal Operations Manager
    • 2.6.2
    • 2.5.9
    • 2.4.16
    • 2.3.22
  • Pivotal Container Service
    • 1.3.8
    • 1.4.3
  • Pivotal Greenplum for Kubernetes
    • 1.4.0
  • Platform Automation for PCF
    • 3.0.4
References
Contactez-nous